class ContenitoreImpl implements Contenitore
{
	protected final static int MAX_OGGETTI = 10;
	protected Oggetto[] oggetti;
	protected int num_oggetti;
	public ContenitoreImpl()
	{
		oggetti = new Oggetto[MAX_OGGETTI];
		num_oggetti = 0;
	}
	public Risultato aggiungi(Oggetto o)
	{
		for (int i = 0; i < MAX_OGGETTI; i++)
		{
			if (oggetti[i] == null)
			{
				oggetti[i] = o;
				num_oggetti++;
				return new Risultato();
			}
		}
		return new Risultato(false, "Non c'e' piu' posto.");
	}
	public Risultato rimuovi(Oggetto o)
	{
		for (int i = 0; i < MAX_OGGETTI; i++)
		{
			if (oggetti[i] == o)
			{
				oggetti[i] = null;
				num_oggetti--;
				return new Risultato();
			}
		}
		return new Risultato(false, "Non vedo " + o.nome());
	}
	public Oggetto[] elenco()
	{
		Oggetto[] tmp = new Oggetto[num_oggetti];
		for (int i = 0, j = 0; i < MAX_OGGETTI; i++)
		{
			if (oggetti[i] != null)
				tmp[j++] = oggetti[i];
		}
		return tmp;
	}
}
