public class Giocatore extends ContenitoreImpl
	implements Mobile
{
	protected Contenitore luogo;
	protected String nome;
	public Giocatore(String n, Contenitore l)
	{
		nome = n;
		if (l != null)
		{
			l.aggiungi(this);
			luogo = l;
		}
	}
	public String nome()
	{
		return nome;
	}
	public Contenitore luogo()
	{
		return luogo;
	}
	public Risultato sposta(
			Contenitore sorg, Contenitore dest)
	{
		if (sorg != luogo)
			return new Risultato(
					false, nome + " si e' spostato.");
		Risultato r;
		if (luogo != null)
		{
			r = luogo.rimuovi(this);
			if (!r.isOk())
				return r;
		}
		r = dest.aggiungi(this);
		if (!r.isOk())
		{
			luogo.aggiungi(this);
			return r;
		}
		luogo = dest;
		return new Risultato();
	}
}
